export function checkIsMobile(): boolean {
  if (typeof navigator === "undefined") return false;

  const userAgent =
    navigator.userAgent || navigator.vendor || (window as any).opera;
  return /android|iphone|ipad|ipod|opera mini|iemobile|mobile/i.test(userAgent);
}


